diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/utils.dev.js ./wordpress-3.4/wp-admin/js/utils.dev.js
*** ./wordpress-3.3.2/wp-admin/js/utils.dev.js	2010-11-10 15:53:30.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/utils.dev.js	2012-02-27 13:46:52.000000000 -0600
***************
*** 3,25 ****
  var wpCookies = {
  // The following functions are from Cookie.js class in TinyMCE, Moxiecode, used under LGPL.
  
! 	each : function(o, cb, s) {
  		var n, l;
  
! 		if (!o)
  			return 0;
  
! 		s = s || o;
  
! 		if (typeof(o.length) != 'undefined') {
! 			for (n=0, l = o.length; n<l; n++) {
! 				if (cb.call(s, o[n], n, o) === false)
  					return 0;
  			}
  		} else {
! 			for (n in o) {
! 				if (o.hasOwnProperty(n)) {
! 					if (cb.call(s, o[n], n, o) === false) {
  						return 0;
  					}
  				}
--- 3,25 ----
  var wpCookies = {
  // The following functions are from Cookie.js class in TinyMCE, Moxiecode, used under LGPL.
  
! 	each : function(obj, cb, scope) {
  		var n, l;
  
! 		if ( !obj )
  			return 0;
  
! 		scope = scope || obj;
  
! 		if ( typeof(obj.length) != 'undefined' ) {
! 			for ( n = 0, l = obj.length; n < l; n++ ) {
! 				if ( cb.call(scope, obj[n], n, obj) === false )
  					return 0;
  			}
  		} else {
! 			for ( n in obj ) {
! 				if ( obj.hasOwnProperty(n) ) {
! 					if ( cb.call(scope, obj[n], n, obj) === false ) {
  						return 0;
  					}
  				}
***************
*** 28,105 ****
  		return 1;
  	},
  
! 	getHash : function(n) {
! 		var v = this.get(n), h;
! 
! 		if (v) {
! 			this.each(v.split('&'), function(v) {
! 				v = v.split('=');
! 				h = h || {};
! 				h[v[0]] = v[1];
  			});
  		}
! 		return h;
  	},
  
! 	setHash : function(n, v, e, p, d, s) {
! 		var o = '';
  
! 		this.each(v, function(v, k) {
! 			o += (!o ? '' : '&') + k + '=' + v;
  		});
  
! 		this.set(n, o, e, p, d, s);
  	},
  
! 	get : function(n) {
! 		var c = document.cookie, e, p = n + "=", b;
  
! 		if (!c)
  			return;
  
! 		b = c.indexOf("; " + p);
  
! 		if (b == -1) {
! 			b = c.indexOf(p);
  
! 			if (b != 0)
  				return null;
  
  		} else {
  			b += 2;
  		}
  
! 		e = c.indexOf(";", b);
! 
! 		if (e == -1)
! 			e = c.length;
  
! 		return decodeURIComponent(c.substring(b + p.length, e));
! 	},
  
! 	set : function(n, v, e, p, d, s) {
! 		document.cookie = n + "=" + encodeURIComponent(v) +
! 			((e) ? "; expires=" + e.toGMTString() : "") +
! 			((p) ? "; path=" + p : "") +
! 			((d) ? "; domain=" + d : "") +
! 			((s) ? "; secure" : "");
  	},
  
! 	remove : function(n, p) {
  		var d = new Date();
  
! 		d.setTime(d.getTime() - 1000);
  
! 		this.set(n, '', d, p, d);
  	}
  };
  
  // Returns the value as string. Second arg or empty string is returned when value is not set.
  function getUserSetting( name, def ) {
! 	var o = getAllUserSettings();
  
! 	if ( o.hasOwnProperty(name) )
! 		return o[name];
  
  	if ( typeof def != 'undefined' )
  		return def;
--- 28,135 ----
  		return 1;
  	},
  
! 	/**
! 	 * Get a multi-values cookie.
! 	 * Returns a JS object with the name: 'value' pairs.
! 	 */
! 	getHash : function(name) {
! 		var all = this.get(name), ret;
! 
! 		if ( all ) {
! 			this.each( all.split('&'), function(pair) {
! 				pair = pair.split('=');
! 				ret = ret || {};
! 				ret[pair[0]] = pair[1];
  			});
  		}
! 		return ret;
  	},
  
! 	/**
! 	 * Set a multi-values cookie.
! 	 *
! 	 * 'values_obj' is the JS object that is stored. It is encoded as URI in wpCookies.set().
! 	 */
! 	setHash : function(name, values_obj, expires, path, domain, secure) {
! 		var str = '';
  
! 		this.each(values_obj, function(val, key) {
! 			str += (!str ? '' : '&') + key + '=' + val;
  		});
  
! 		this.set(name, str, expires, path, domain, secure);
  	},
  
! 	/**
! 	 * Get a cookie.
! 	 */
! 	get : function(name) {
! 		var cookie = document.cookie, e, p = name + "=", b;
  
! 		if ( !cookie )
  			return;
  
! 		b = cookie.indexOf("; " + p);
  
! 		if ( b == -1 ) {
! 			b = cookie.indexOf(p);
  
! 			if ( b != 0 )
  				return null;
  
  		} else {
  			b += 2;
  		}
  
! 		e = cookie.indexOf(";", b);
  
! 		if ( e == -1 )
! 			e = cookie.length;
  
! 		return decodeURIComponent( cookie.substring(b + p.length, e) );
  	},
  
! 	/**
! 	 * Set a cookie.
! 	 *
! 	 * The 'expires' arg can be either a JS Date() object set to the expiration date (back-compat)
! 	 * or the number of seconds until expiration
! 	 */
! 	set : function(name, value, expires, path, domain, secure) {
  		var d = new Date();
  
! 		if ( typeof(expires) == 'object' && expires.toGMTString ) {
! 			expires = expires.toGMTString();
! 		} else if ( parseInt(expires, 10) ) {
! 			d.setTime( d.getTime() + ( parseInt(expires, 10) * 1000 ) ); // time must be in miliseconds
! 			expires = d.toGMTString();
! 		} else {
! 			expires = '';
! 		}
! 
! 		document.cookie = name + "=" + encodeURIComponent(value) +
! 			((expires) ? "; expires=" + expires : "") +
! 			((path) ? "; path=" + path : "") +
! 			((domain) ? "; domain=" + domain : "") +
! 			((secure) ? "; secure" : "");
! 	},
  
! 	/**
! 	 * Remove a cookie.
! 	 *
! 	 * This is done by setting it to an empty value and setting the expiration time in the past.
! 	 */
! 	remove : function(name, path) {
! 		this.set(name, '', -1000, path);
  	}
  };
  
  // Returns the value as string. Second arg or empty string is returned when value is not set.
  function getUserSetting( name, def ) {
! 	var obj = getAllUserSettings();
  
! 	if ( obj.hasOwnProperty(name) )
! 		return obj[name];
  
  	if ( typeof def != 'undefined' )
  		return def;
***************
*** 109,132 ****
  
  // Both name and value must be only ASCII letters, numbers or underscore
  // and the shorter, the better (cookies can store maximum 4KB). Not suitable to store text.
! function setUserSetting( name, value, del ) {
  	if ( 'object' !== typeof userSettings )
  		return false;
  
! 	var c = 'wp-settings-' + userSettings.uid, o = wpCookies.getHash(c) || {}, d = new Date(), p,
  	n = name.toString().replace(/[^A-Za-z0-9_]/, ''), v = value.toString().replace(/[^A-Za-z0-9_]/, '');
  
! 	if ( del ) {
! 		delete o[n];
  	} else {
! 		o[n] = v;
  	}
  
! 	d.setTime( d.getTime() + 31536000000 );
! 	p = userSettings.url;
! 
! 	wpCookies.setHash(c, o, d, p);
! 	wpCookies.set('wp-settings-time-'+userSettings.uid, userSettings.time, d, p);
  
  	return name;
  }
--- 139,159 ----
  
  // Both name and value must be only ASCII letters, numbers or underscore
  // and the shorter, the better (cookies can store maximum 4KB). Not suitable to store text.
! function setUserSetting( name, value, _del ) {
  	if ( 'object' !== typeof userSettings )
  		return false;
  
! 	var cookie = 'wp-settings-' + userSettings.uid, all = wpCookies.getHash(cookie) || {}, path = userSettings.url,
  	n = name.toString().replace(/[^A-Za-z0-9_]/, ''), v = value.toString().replace(/[^A-Za-z0-9_]/, '');
  
! 	if ( _del ) {
! 		delete all[n];
  	} else {
! 		all[n] = v;
  	}
  
! 	wpCookies.setHash(cookie, all, 31536000, path);
! 	wpCookies.set('wp-settings-time-'+userSettings.uid, userSettings.time, 31536000, path);
  
  	return name;
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/widgets.dev.js ./wordpress-3.4/wp-admin/js/widgets.dev.js
*** ./wordpress-3.3.2/wp-admin/js/widgets.dev.js	2011-09-25 13:53:34.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/widgets.dev.js	2012-04-27 15:34:35.000000000 -0500
***************
*** 248,259 ****
  	},
  
  	appendTitle : function(widget) {
! 		var title = $('input[id*="-title"]', widget);
! 		if ( title = title.val() ) {
! 			title = title.replace(/<[^<>]+>/g, '').replace(/</g, '&lt;').replace(/>/g, '&gt;');
! 			$(widget).children('.widget-top').children('.widget-title').children()
! 				.children('.in-widget-title').html(': ' + title);
! 		}
  	},
  
  	resize : function() {
--- 248,261 ----
  	},
  
  	appendTitle : function(widget) {
! 		var title = $('input[id*="-title"]', widget).val() || '';
! 
! 		if ( title )
! 			title = ': ' + title.replace(/<[^<>]+>/g, '').replace(/</g, '&lt;').replace(/>/g, '&gt;');
! 
! 		$(widget).children('.widget-top').children('.widget-title').children()
! 				.children('.in-widget-title').html(title);
! 
  	},
  
  	resize : function() {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/word-count.dev.js ./wordpress-3.4/wp-admin/js/word-count.dev.js
*** ./wordpress-3.3.2/wp-admin/js/word-count.dev.js	2011-05-16 01:17:44.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/word-count.dev.js	2012-02-21 09:35:05.000000000 -0600
***************
*** 1,18 ****
! 
! (function($) {
  	wpWordCount = {
  
  		settings : {
  			strip : /<[a-zA-Z\/][^<>]*>/g, // strip HTML tags
  			clean : /[0-9.(),;:!?%#$Â¿'"_+=\\/-]+/g, // regexp to remove punctuation, etc.
! 			count : /\S\s+/g // counting regexp
  		},
  
  		block : 0,
  
! 		wc : function(tx) {
  			var t = this, w = $('.word-count'), tc = 0;
  
  			if ( t.block )
  				return;
  
--- 1,23 ----
! (function($,undefined) {
  	wpWordCount = {
  
  		settings : {
  			strip : /<[a-zA-Z\/][^<>]*>/g, // strip HTML tags
  			clean : /[0-9.(),;:!?%#$Â¿'"_+=\\/-]+/g, // regexp to remove punctuation, etc.
! 			w : /\S\s+/g, // word-counting regexp
! 			c : /\S/g // char-counting regexp for asian languages
  		},
  
  		block : 0,
  
! 		wc : function(tx, type) {
  			var t = this, w = $('.word-count'), tc = 0;
  
+ 			if ( type === undefined )
+ 				type = wordCountL10n.type;
+ 			if ( type !== 'w' && type !== 'c' )
+ 				type = 'w';
+ 
  			if ( t.block )
  				return;
  
***************
*** 22,28 ****
  				if ( tx ) {
  					tx = tx.replace( t.settings.strip, ' ' ).replace( /&nbsp;|&#160;/gi, ' ' );
  					tx = tx.replace( t.settings.clean, '' );
! 					tx.replace( t.settings.count, function(){tc++;} );
  				}
  				w.html(tc.toString());
  
--- 27,33 ----
  				if ( tx ) {
  					tx = tx.replace( t.settings.strip, ' ' ).replace( /&nbsp;|&#160;/gi, ' ' );
  					tx = tx.replace( t.settings.clean, '' );
! 					tx.replace( t.settings[type], function(){tc++;} );
  				}
  				w.html(tc.toString());
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/word-count.js ./wordpress-3.4/wp-admin/js/word-count.js
*** ./wordpress-3.3.2/wp-admin/js/word-count.js	2011-05-16 01:17:44.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/word-count.js	2012-02-21 09:45:56.000000000 -0600
***************
*** 1 ****
! (function(a){wpWordCount={settings:{strip:/<[a-zA-Z\/][^<>]*>/g,clean:/[0-9.(),;:!?%#$Â¿'"_+=\\/-]+/g,count:/\S\s+/g},block:0,wc:function(d){var e=this,c=a(".word-count"),b=0;if(e.block){return}e.block=1;setTimeout(function(){if(d){d=d.replace(e.settings.strip," ").replace(/&nbsp;|&#160;/gi," ");d=d.replace(e.settings.clean,"");d.replace(e.settings.count,function(){b++})}c.html(b.toString());setTimeout(function(){e.block=0},2000)},1)}};a(document).bind("wpcountwords",function(c,b){wpWordCount.wc(b)})}(jQuery));
\ No newline at end of file
--- 1 ----
! (function(a,b){wpWordCount={settings:{strip:/<[a-zA-Z\/][^<>]*>/g,clean:/[0-9.(),;:!?%#$Â¿'"_+=\\/-]+/g,w:/\S\s+/g,c:/\S/g},block:0,wc:function(e,g){var f=this,d=a(".word-count"),c=0;if(g===b){g=wordCountL10n.type}if(g!=="w"&&g!=="c"){g="w"}if(f.block){return}f.block=1;setTimeout(function(){if(e){e=e.replace(f.settings.strip," ").replace(/&nbsp;|&#160;/gi," ");e=e.replace(f.settings.clean,"");e.replace(f.settings[g],function(){c++})}d.html(c.toString());setTimeout(function(){f.block=0},2000)},1)}};a(document).bind("wpcountwords",function(d,c){wpWordCount.wc(c)})}(jQuery));
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/wp-fullscreen.dev.js ./wordpress-3.4/wp-admin/js/wp-fullscreen.dev.js
*** ./wordpress-3.3.2/wp-admin/js/wp-fullscreen.dev.js	2011-11-16 20:44:28.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/wp-fullscreen.dev.js	2012-03-09 17:23:10.000000000 -0600
***************
*** 138,158 ****
  			return;
  
  		// Settings can be added or changed by defining "wp_fullscreen_settings" JS object.
- 		// This can be done by defining it as PHP associative array, json encoding it and passing it to JS with:
- 		// wp_add_script_before( 'wp-fullscreen', 'wp_fullscreen_settings = ' . $json_encoded_array . ';' );
  		if ( typeof(wp_fullscreen_settings) == 'object' )
  			$.extend( s, wp_fullscreen_settings );
  
  		s.editor_id = wpActiveEditor || 'content';
  
! 		if ( !s.title_id ) {
! 			if ( $('input#title').length && s.editor_id == 'content' )
! 				s.title_id = 'title';
! 			else if ( $('input#' + s.editor_id + '-title').length ) // the title input field should have [editor_id]-title HTML ID to be auto detected
! 				s.title_id = s.editor_id + '-title';
! 			else
! 				$('#wp-fullscreen-title, #wp-fullscreen-title-prompt-text').hide();
! 		}
  
  		s.mode = $('#' + s.editor_id).is(':hidden') ? 'tinymce' : 'html';
  		s.qt_canvas = $('#' + s.editor_id).get(0);
--- 138,154 ----
  			return;
  
  		// Settings can be added or changed by defining "wp_fullscreen_settings" JS object.
  		if ( typeof(wp_fullscreen_settings) == 'object' )
  			$.extend( s, wp_fullscreen_settings );
  
  		s.editor_id = wpActiveEditor || 'content';
  
! 		if ( $('input#title').length && s.editor_id == 'content' )
! 			s.title_id = 'title';
! 		else if ( $('input#' + s.editor_id + '-title').length ) // the title input field should have [editor_id]-title HTML ID to be auto detected
! 			s.title_id = s.editor_id + '-title';
! 		else
! 			$('#wp-fullscreen-title, #wp-fullscreen-title-prompt-text').hide();
  
  		s.mode = $('#' + s.editor_id).is(':hidden') ? 'tinymce' : 'html';
  		s.qt_canvas = $('#' + s.editor_id).get(0);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/link-add.php ./wordpress-3.4/wp-admin/link-add.php
*** ./wordpress-3.3.2/wp-admin/link-add.php	2011-04-28 10:24:49.000000000 -0500
--- ./wordpress-3.4/wp-admin/link-add.php	2012-04-10 21:20:51.000000000 -0500
***************
*** 23,30 ****
  wp_enqueue_script('link');
  wp_enqueue_script('xfn');
  
  $link = get_default_link_to_edit();
  include('./edit-link-form.php');
  
  require('./admin-footer.php');
- ?>
--- 23,32 ----
  wp_enqueue_script('link');
  wp_enqueue_script('xfn');
  
+ if ( wp_is_mobile() )
+ 	wp_enqueue_script( 'jquery-touch-punch' );
+ 
  $link = get_default_link_to_edit();
  include('./edit-link-form.php');
  
  require('./admin-footer.php');
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/link-parse-opml.php ./wordpress-3.4/wp-admin/link-parse-opml.php
*** ./wordpress-3.3.2/wp-admin/link-parse-opml.php	2010-12-01 13:24:38.000000000 -0600
--- ./wordpress-3.4/wp-admin/link-parse-opml.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 11,17 ****
  
  global $opml, $map;
  
! // columns we wish to find are:  link_url, link_name, link_target, link_description
  // we need to map XML attribute names to our columns
  $opml_map = array('URL'         => 'link_url',
  	'HTMLURL'     => 'link_url',
--- 11,17 ----
  
  global $opml, $map;
  
! // columns we wish to find are: link_url, link_name, link_target, link_description
  // we need to map XML attribute names to our columns
  $opml_map = array('URL'         => 'link_url',
  	'HTMLURL'     => 'link_url',
***************
*** 94,97 ****
  
  // Free up memory used by the XML parser
  xml_parser_free($xml_parser);
- ?>
--- 94,96 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/link.php ./wordpress-3.4/wp-admin/link.php
*** ./wordpress-3.3.2/wp-admin/link.php	2010-10-27 05:43:43.000000000 -0500
--- ./wordpress-3.4/wp-admin/link.php	2012-04-10 21:20:51.000000000 -0500
***************
*** 99,104 ****
--- 99,107 ----
  		wp_enqueue_script('link');
  		wp_enqueue_script('xfn');
  
+ 		if ( wp_is_mobile() )
+ 			wp_enqueue_script( 'jquery-touch-punch' );
+ 
  		$parent_file = 'link-manager.php';
  		$submenu_file = 'link-manager.php';
  		$title = __('Edit Link');
***************
*** 115,118 ****
  	default :
  		break;
  }
- ?>
--- 118,120 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/maint/repair.php ./wordpress-3.4/wp-admin/maint/repair.php
*** ./wordpress-3.3.2/wp-admin/maint/repair.php	2011-10-27 16:14:14.000000000 -0500
--- ./wordpress-3.4/wp-admin/maint/repair.php	2012-05-30 11:22:53.000000000 -0500
***************
*** 1,5 ****
  <?php
! 
  define('WP_REPAIRING', true);
  
  require_once('../../wp-load.php');
--- 1,10 ----
  <?php
! /**
!  * Database Repair and Optimization Script.
!  *
!  * @package WordPress
!  * @subpackage Database
!  */
  define('WP_REPAIRING', true);
  
  require_once('../../wp-load.php');
***************
*** 10,33 ****
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! 	<title><?php _e('WordPress &rsaquo; Database Repair'); ?></title>
  	<?php wp_admin_css( 'install', true ); ?>
  </head>
  <body>
! <h1 id="logo"><img alt="WordPress" src="../images/wordpress-logo.png" /></h1>
  
  <?php
  
! if ( !defined('WP_ALLOW_REPAIR') ) {
! 	echo '<p>'.__('To allow use of this page to automatically repair database problems, please add the following line to your wp-config.php file.  Once this line is added to your config, reload this page.')."</p><code>define('WP_ALLOW_REPAIR', true);</code>";
! } elseif ( isset($_GET['repair']) ) {
! 	check_admin_referer('repair_db');
! 
! 	if ( 2 == $_GET['repair'] )
! 		$optimize = true;
! 	else
! 		$optimize = false;
! 
  	$okay = true;
  	$problems = array();
  
--- 15,32 ----
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! 	<title><?php _e( 'WordPress &rsaquo; Database Repair' ); ?></title>
  	<?php wp_admin_css( 'install', true ); ?>
  </head>
  <body>
! <h1 id="logo"><img alt="WordPress" src="../images/wordpress-logo.png?ver=20120216" /></h1>
  
  <?php
  
! if ( ! defined( 'WP_ALLOW_REPAIR' ) ) {
! 	echo '<p>' . __( 'To allow use of this page to automatically repair database problems, please add the following line to your <code>wp-config.php</code> file. Once this line is added to your config, reload this page.' ) . "</p><code>define('WP_ALLOW_REPAIR', true);</code>";
! } elseif ( isset( $_GET['repair'] ) ) {
! 	$optimize = 2 == $_GET['repair'];
  	$okay = true;
  	$problems = array();
  
***************
*** 41,111 ****
  
  	// Loop over the tables, checking and repairing as needed.
  	foreach ( $tables as $table ) {
! 		$check = $wpdb->get_row("CHECK TABLE $table");
  
  		echo '<p>';
  		if ( 'OK' == $check->Msg_text ) {
  			/* translators: %s: table name */
! 			printf( __( 'The %s table is okay.' ), $table );
  		} else {
  			/* translators: 1: table name, 2: error message, */
! 			printf( __( 'The %1$s table is not okay. It is reporting the following error: %2$s.  WordPress will attempt to repair this table&hellip;' ) , $table, "<code>$check->Msg_text</code>" );
  
! 			$repair = $wpdb->get_row("REPAIR TABLE $table");
  
  			echo '<br />&nbsp;&nbsp;&nbsp;&nbsp;';
  			if ( 'OK' == $check->Msg_text ) {
  				/* translators: %s: table name */
! 				printf( __( 'Successfully repaired the %s table.' ), $table );
  			} else {
  				/* translators: 1: table name, 2: error message, */
! 				echo sprintf( __( 'Failed to repair the  %1$s table. Error: %2$s' ), $table, "<code>$check->Msg_text</code>" ) . '<br />';
  				$problems[$table] = $check->Msg_text;
  				$okay = false;
  			}
  		}
  
  		if ( $okay && $optimize ) {
! 			$check = $wpdb->get_row("ANALYZE TABLE $table");
  
! 			echo '<br />&nbsp;&nbsp;&nbsp;&nbsp';
  			if ( 'Table is already up to date' == $check->Msg_text )  {
  				/* translators: %s: table name */
! 				printf( __( 'The %s table is already optimized.' ), $table );
  			} else {
! 				$check = $wpdb->get_row("OPTIMIZE TABLE $table");
  
! 				echo '<br />&nbsp;&nbsp;&nbsp;&nbsp';
  				if ( 'OK' == $check->Msg_text || 'Table is already up to date' == $check->Msg_text ) {
  					/* translators: %s: table name */
! 					printf( __( 'Successfully optimized the %s table.' ), $table );
  				} else {
  					/* translators: 1: table name, 2: error message, */
! 					printf( __( 'Failed to optimize the %1$s table. Error: %2$s' ), $table, "<code>$check->Msg_text</code>" );
  				}
  			}
  		}
  		echo '</p>';
  	}
  
! 	if ( !empty($problems) ) {
! 		printf('<p>'.__('Some database problems could not be repaired. Please copy-and-paste the following list of errors to the <a href="%s">WordPress support forums</a> to get additional assistance.').'</p>', 'http://wordpress.org/support/forum/3');
! 		$problem_output = array();
  		foreach ( $problems as $table => $problem )
! 			$problem_output[] = "$table: $problem";
! 		echo '<textarea name="errors" id="errors" rows="20" cols="60">' . esc_textarea( implode("\n", $problem_output) ) . '</textarea>';
  	} else {
! 		echo '<p>'.__('Repairs complete.  Please remove the following line from wp-config.php to prevent this page from being used by unauthorized users.')."</p><code>define('WP_ALLOW_REPAIR', true);</code>";
  	}
  } else {
! 	if ( isset($_GET['referrer']) && 'is_blog_installed' == $_GET['referrer'] )
! 		_e('One or more database tables are unavailable. To allow WordPress to attempt to repair these tables, press the &#8220;Repair Database&#8221; button. Repairing can take a while, so please be patient.');
  	else
! 		_e('WordPress can automatically look for some common database problems and repair them.  Repairing can take a while, so please be patient.')
  ?>
! 	<p class="step"><a class="button" href="<?php echo wp_nonce_url('repair.php?repair=1', 'repair_db') ?>"><?php _e( 'Repair Database' ); ?></a></p>
! 	<?php _e('WordPress can also attempt to optimize the database.  This improves performance in some situations.  Repairing and optimizing the database can take a long time and the database will be locked while optimizing.'); ?>
! 	<p class="step"><a class="button" href="<?php echo wp_nonce_url('repair.php?repair=2', 'repair_db') ?>"><?php _e( 'Repair and Optimize Database' ); ?></a></p>
  <?php
  }
  ?>
--- 40,110 ----
  
  	// Loop over the tables, checking and repairing as needed.
  	foreach ( $tables as $table ) {
! 		$check = $wpdb->get_row( "CHECK TABLE $table" );
  
  		echo '<p>';
  		if ( 'OK' == $check->Msg_text ) {
  			/* translators: %s: table name */
! 			printf( __( 'The %s table is okay.' ), "<code>$table</code>" );
  		} else {
  			/* translators: 1: table name, 2: error message, */
! 			printf( __( 'The %1$s table is not okay. It is reporting the following error: %2$s. WordPress will attempt to repair this table&hellip;' ) , "<code>$table</code>", "<code>$check->Msg_text</code>" );
  
! 			$repair = $wpdb->get_row( "REPAIR TABLE $table" );
  
  			echo '<br />&nbsp;&nbsp;&nbsp;&nbsp;';
  			if ( 'OK' == $check->Msg_text ) {
  				/* translators: %s: table name */
! 				printf( __( 'Successfully repaired the %s table.' ), "<code>$table</code>" );
  			} else {
  				/* translators: 1: table name, 2: error message, */
! 				echo sprintf( __( 'Failed to repair the %1$s table. Error: %2$s' ), "<code>$table</code>", "<code>$check->Msg_text</code>" ) . '<br />';
  				$problems[$table] = $check->Msg_text;
  				$okay = false;
  			}
  		}
  
  		if ( $okay && $optimize ) {
! 			$check = $wpdb->get_row( "ANALYZE TABLE $table" );
  
! 			echo '<br />&nbsp;&nbsp;&nbsp;&nbsp;';
  			if ( 'Table is already up to date' == $check->Msg_text )  {
  				/* translators: %s: table name */
! 				printf( __( 'The %s table is already optimized.' ), "<code>$table</code>" );
  			} else {
! 				$check = $wpdb->get_row( "OPTIMIZE TABLE $table" );
  
! 				echo '<br />&nbsp;&nbsp;&nbsp;&nbsp;';
  				if ( 'OK' == $check->Msg_text || 'Table is already up to date' == $check->Msg_text ) {
  					/* translators: %s: table name */
! 					printf( __( 'Successfully optimized the %s table.' ), "<code>$table</code>" );
  				} else {
  					/* translators: 1: table name, 2: error message, */
! 					printf( __( 'Failed to optimize the %1$s table. Error: %2$s' ), "<code>$table</code>", "<code>$check->Msg_text</code>" );
  				}
  			}
  		}
  		echo '</p>';
  	}
  
! 	if ( $problems ) {
! 		printf( '<p>' . __('Some database problems could not be repaired. Please copy-and-paste the following list of errors to the <a href="%s">WordPress support forums</a> to get additional assistance.') . '</p>', __( 'http://wordpress.org/support/forum/how-to-and-troubleshooting' ) );
! 		$problem_output = '';
  		foreach ( $problems as $table => $problem )
! 			$problem_output .= "$table: $problem\n";
! 		echo '<p><textarea name="errors" id="errors" rows="20" cols="60">' . esc_textarea( $problem_output ) . '</textarea></p>';
  	} else {
! 		echo '<p>' . __( 'Repairs complete. Please remove the following line from wp-config.php to prevent this page from being used by unauthorized users.' ) . "</p><code>define('WP_ALLOW_REPAIR', true);</code>";
  	}
  } else {
! 	if ( isset( $_GET['referrer'] ) && 'is_blog_installed' == $_GET['referrer'] )
! 		echo '<p>' . __( 'One or more database tables are unavailable. To allow WordPress to attempt to repair these tables, press the &#8220;Repair Database&#8221; button. Repairing can take a while, so please be patient.' ) . '</p>';
  	else
! 		echo '<p>' . __( 'WordPress can automatically look for some common database problems and repair them. Repairing can take a while, so please be patient.' ) . '</p>';
  ?>
! 	<p class="step"><a class="button" href="repair.php?repair=1"><?php _e( 'Repair Database' ); ?></a></p>
! 	<p><?php _e( 'WordPress can also attempt to optimize the database. This improves performance in some situations. Repairing and optimizing the database can take a long time and the database will be locked while optimizing.' ); ?></p>
! 	<p class="step"><a class="button" href="repair.php?repair=2"><?php _e( 'Repair and Optimize Database' ); ?></a></p>
  <?php
  }
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/media-new.php ./wordpress-3.4/wp-admin/media-new.php
*** ./wordpress-3.3.2/wp-admin/media-new.php	2011-11-18 02:43:16.000000000 -0600
--- ./wordpress-3.4/wp-admin/media-new.php	2012-04-11 19:16:37.000000000 -0500
***************
*** 6,19 ****
   * @subpackage Administration
   */
  
- global $is_iphone;
- 
- if ( $is_iphone ) // cannot upload files from iPhone/iPad
- 	return;
- 
  $_GET['inline'] = 'true';
  /** Administration bootstrap */
  require_once('./admin.php');
  require_once('./media-upload.php');
- 
- ?>
--- 6,12 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/media.php ./wordpress-3.4/wp-admin/media.php
*** ./wordpress-3.3.2/wp-admin/media.php	2011-11-30 20:22:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/media.php	2012-05-09 11:16:03.000000000 -0500
***************
*** 59,64 ****
--- 59,65 ----
  	$att = get_post($att_id);
  
  	if ( empty($att->ID) ) wp_die( __('You attempted to edit an attachment that doesn&#8217;t exist. Perhaps it was deleted?') );
+ 	if ( 'attachment' !== $att->post_type ) wp_die( __('You attempted to edit an item that isn&#8217;t an attachment. Please go back and try again.') );
  	if ( $att->post_status == 'trash' ) wp_die( __('You can&#8217;t edit this attachment because it is in the Trash. Please move it out of the Trash and try again.') );
  
  	add_filter('attachment_fields_to_edit', 'media_single_attachment_fields_to_edit', 10, 2);
***************
*** 144,149 ****
  	exit;
  
  endswitch;
- 
- 
- ?>
--- 145,147 ----
